UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 31788

11.x ChipScope Pro - "ERROR:MapLib:990 - Map has detected that you are using ChipScope Pro cores generated prior to version 10.1..."

Description

When I implement my design, the following error occurs at the Map stage: 

 

"ERROR:MapLib:990 - Map has detected that you are using ChipScope Pro cores generated prior to version 10.1..."

Solution

ChipScope cores from the 9.x releases and previous are not supported in ISE or ChipScope 11.1. Please regenerate your ChipScope cores in the current version of the software. If you have the correct ChipScope cores then there might be an additional issue. 

 

Alternately, this can be caused by some non ChipScope cores in the design. This can be caused by any Xilinx IP cores generated pre 10.1. That includes both ChipScope and non-ChipScope cores. There are two potential work-arounds in this case. 

 

- If the ChipScope cores are generated in a compatible version, but you have some other Xilinx IP cores, you need to regenerate these non-ChipScope cores in 11.2.  

- If it is not possible to regenerate the non-ChipScope cores you can set the environment variable XIL_MAP_ALLOW_OLD_ILA_S_FLAG=1 on your system to work around this issue.  

 

If you set this environment variable please ensure that you remove it after installing ISE 11.3. 

 

The issue with non-ChipScope cores will be resolved in ISE 11.3 so that non-ChipScope cores will not trigger this message.

AR# 31788
Date Created 04/07/2009
Last Updated 05/23/2014
Status Archive
Type General Article